javax.swing.plaf

## Class FontUIResource

- java.lang.Object
- - java.awt.Font
  - - javax.swing.plaf.FontUIResource

All Implemented Interfaces:
  Serializable, UIResource

    public class FontUIResource
    extends Font
    implements UIResource

A subclass of java.awt.Font that implements UIResource. UI classes which set default font properties should use this class.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  `UIResource`

### Field Summary

### Fields inherited from class java.awt.Font

`BOLD, CENTER_BASELINE, DIALOG, DIALOG_INPUT, HANGING_BASELINE, ITALIC, LAYOUT_LEFT_TO_RIGHT, LAYOUT_NO_LIMIT_CONTEXT, LAYOUT_NO_START_CONTEXT, LAYOUT_RIGHT_TO_LEFT, MONOSPACED, name, PLAIN, pointSize, ROMAN_BASELINE, SANS_SERIF, SERIF, size, style, TRUETYPE_FONT, TYPE1_FONT`

### Constructor Summary

Constructors
Constructor and Description
`FontUIResource(Font font)`
`FontUIResource(String name, int style, int size)`

### Method Summary

### Methods inherited from class java.awt.Font

`canDisplay, canDisplay, canDisplayUpTo, canDisplayUpTo, canDisplayUpTo, createFont, createFont, createGlyphVector, createGlyphVector, createGlyphVector, createGlyphVector, decode, deriveFont, deriveFont, deriveFont, deriveFont, deriveFont, deriveFont, equals, finalize, getAttributes, getAvailableAttributes, getBaselineFor, getFamily, getFamily, getFont, getFont, getFont, getFontName, getFontName, getItalicAngle, getLineMetrics, getLineMetrics, getLineMetrics, getLineMetrics, getMaxCharBounds, getMissingGlyphCode, getName, getNumGlyphs, getPeer, getPSName, getSize, getSize2D, getStringBounds, getStringBounds, getStringBounds, getStringBounds, getStyle, getTransform, hashCode, hasLayoutAttributes, hasUniformLineMetrics, isBold, isItalic, isPlain, isTransformed, layoutGlyphVector, toString`

### Methods inherited from class java.lang.Object

`clone, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FontUIResource

    public FontUIResource(String name,
                  int style,
                  int size)

#### FontUIResource

    public FontUIResource(Font font)

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.